
function select_country(country_id)
{
   var country_array=country_intro();
   var b=true;
   var t="";
   for(i=0;i<country_array.length&b;i++)
   {
      v=country_array[i].split("|");
      if(country_id==v[0])
      {
         t=reverse_str(country_array[i]);
         b=false;
      }
   }
   return t;
}

function select_proviceforcountry(country_id)
{
   var provice_array=provice_intro();
   var t="";
   for(i=0;i<province_array.length;i++)
   {
      v=province_array[i].split("|");
      if(country_id==v[0])
      {
         if(t=="")
           t=v[1]+"|"+reverse_str(v[2]);
         else
           t=t+"$"+v[1]+"|"+reverse_str(v[2]);
      }
   }
   return t;
}


function select_provice(provice_id)
{
   var provice_array=provice_intro();
   var t="";
   var b=true;
   for(i=0;i<province_array.length&&b;i++)
   {
      v=province_array[i].split("|");
      if(provice_id==v[1])
      {
         t=v[1]+"|"+reverse_str(v[2]);
         b=false;
      }
   }
   return t;
}

function select_cityforprovice(provice_id)
{
   var city_array=city_intro();
   var t="";
   for(i=0;i<city_array.length;i++)
   {
      v=city_array[i].split("|");
      if(provice_id==v[0])
      {
         if(t=="")
           t=v[2]+"|"+reverse_str(v[3]);
         else
           t=t+"$"+v[2]+"|"+reverse_str(v[3]);
      }
   }
   return t;
}

function reverse_str(str)
{
      var str_re="";
      for(t=0;t<str.length;t++)
         str_re=str.charAt(t)+str_re;
      return str_re;          
}